Browse files

Update dependencies to the latest stable versions. Close gh-31.

Also update README.md to reflect proper Grunt tasks' names.
  • Loading branch information...
1 parent 5fecbfa commit 514a24bdfd1d3ccd8e26f06e2bee1b9c9a334713 @kavu kavu committed with dmethvin Mar 13, 2013
Showing with 16 additions and 15 deletions.
  1. +2 −1 AUTHORS.txt
  2. +4 −4 README.md
  3. +7 −7 package.json
  4. +1 −1 test/attributes.js
  5. +2 −2 test/event.js
View
3 AUTHORS.txt
@@ -3,4 +3,5 @@ Authors ordered by first contribution.
Dave Methvin <dave.methvin@gmail.com>
Richard Gibson <richard.gibson@gmail.com>
Igor Kalashnikov <igor.kalashnikov@me.com>
-
+Max Riveiro <kavu13@gmail.com>
+
View
8 README.md
@@ -1,7 +1,7 @@
# jquery-migrate: Migrate older jQuery code to jQuery 1.9+
This plugin can be used to detect and restore APIs or features that have been deprecated in jQuery and removed as of version 1.9.
-See the [warnings page](https://github.com/jquery/jquery-migrate/blob/master/warnings.md) for more information regarding messages the plugin generates.
+See the [warnings page](https://github.com/jquery/jquery-migrate/blob/master/warnings.md) for more information regarding messages the plugin generates.
For more information about the changes made in jQuery 1.9, see the [upgrade guide](http://jquery.com/upgrade-guide/1.9/) and [blog post](http://blog.jquery.com/2013/01/15/jquery-1-9-final-jquery-2-0-beta-migrate-final-released/).
In your web page, load this plugin *after* the script for jQuery:
@@ -70,12 +70,12 @@ Clone this repo, install `grunt`:
```sh
git clone git://github.com/jquery/jquery-migrate.git
cd jquery-migrate
-npm install -g grunt
+npm install
+npm install -g grunt-cli
```
-Run `grunt` to `lint`, `test` and `min` release.
+Run `grunt` to `jshint`, `qunit` and `uglify` release.
```sh
grunt
```
-
View
14 package.json
@@ -25,13 +25,13 @@
"jquery": ">=1.6.4"
},
"devDependencies": {
- "grunt-git-authors": "~1.1.0",
- "grunt-contrib-concat": "~0.1.1",
- "grunt-contrib-watch": "~0.1.0",
- "grunt-contrib-qunit": "~0.1.0",
- "grunt-contrib-jshint": "git://github.com/gruntjs/grunt-contrib-jshint.git#7fd70e86c5a8d489095fa81589d95dccb8eb3a46",
- "grunt-contrib-uglify": "git://github.com/gruntjs/grunt-contrib-uglify.git#f8da4ff90c7e8f74c81d8e5d3834e6011a90611c",
- "grunt": "0.4.0rc4",
+ "grunt-git-authors": "~1.2.0",
+ "grunt-contrib-concat": "~0.1.2",
+ "grunt-contrib-watch": "~0.3.1",
+ "grunt-contrib-qunit": "~0.2.0",
+ "grunt-contrib-jshint": "~0.2.0",
+ "grunt-contrib-uglify": "~0.1.2",
+ "grunt": "0.4.1",
"testswarm": "0.2.2"
},
"keywords": []
View
2 test/attributes.js
@@ -3,7 +3,7 @@ module("attributes");
test( "attrFn test", function() {
expect( 4 );
-
+
( jQuery._definePropertyBroken ? expectNoWarning : expectWarning )( "attrFn", function() {
ok( !!jQuery.attrFn, "attrFn present" );
equal( jQuery.attrFn.quack, undefined, "can read values from attrFn" );
View
4 test/event.js
@@ -760,7 +760,7 @@ test( "hover pseudo-event", function() {
test( "global events not on document", function() {
expect( 16 );
-
+
expectWarning( "Global ajax events", 1, function() {
var events = "ajaxStart ajaxStop ajaxSend ajaxComplete ajaxError ajaxSuccess";
@@ -815,4 +815,4 @@ if ( jQuery.event.dispatch ) {
equal( matched, 1, "Event dispatched" );
});
-}
+}

0 comments on commit 514a24b

Please sign in to comment.